Package org.springframework.util

# Interface ReflectionUtils.FieldCallback

Enclosing class:
  ReflectionUtils

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface ReflectionUtils.FieldCallback
Callback interface invoked on each field in the hierarchy.

## Method Summary

Modifier and Type
Method
Description
`void`
`doWith(Field field)`
Perform an operation using the given field.

## Method Details

### doWith

void doWith(Field field) throws IllegalArgumentException, IllegalAccessException
Perform an operation using the given field.

Parameters:
  `field` - the field to operate on
Throws:
  `IllegalArgumentException`
  `IllegalAccessException`